Subject: Re: [PATCH] gnu: Add sbcl-stumpwm-pamixer

From: Trev <[email-masked]>
Date: Thu, 22 Sep 2022 13:35:14 -0700

Maxime Devos <[email-masked]> writes:

> On 19-09-2022 23:34, Trev wrote:
>>> (arguments
>>>     (list #:asd-systems ''(:pa-mixers)
>>>           #:phases
>>>           #~(modify-phases [...])))
>>>
>>> (i.e., you are removing a layer of quoting by turning the quasiquote
>>> into a quote, so it needs to be readded for the #:asd-systems).
>>>
>> I see a double-quote there with ~''(:pamixer)~ - which is not something
>> I have ever tried to do before.  Is this a typo?
>
> No, it's intentional -- if you do '(:pa-mixers), the code (:pa-mixers) 
> is passed to the builder, but that can't work, as :pa-mixers is 
> undefined (or a keyword, depending on how the Guile reader is 
> configured).  If you do ''(:pa-mixers), the code '(:pa-mixers) is passed 
> to the builder, as intended.
>
> If you change ''(:pa-mixers) to '(pa-mixers), then I expect you'll get a 
> build failure.
>

I feel a little silly because after I asked my question I went ahead and
ran a ripgrep on the project root for a pattern of ''( and found
numerous occurences of it.  Of course it failed without the double
quote.

Thanks for all of your helpful feedback.  I have made notes so that I
can recall these concepts later.

-- 

Trev : 0FB7 D06B 4A2A F07E AD5B  1169 183B 6306 8AA1 D206